File: Changes

package info (click to toggle)
libperl4-corelibs-perl 0.003-1
  • links: PTS
  • area: main
  • in suites: jessie, jessie-kfreebsd, wheezy
  • size: 344 kB
  • ctags: 144
  • sloc: perl: 2,549; makefile: 2
file content (46 lines) | stat: -rw-r--r-- 1,496 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
version 0.003; 2011-03-18

  * bugfix: in shellwords.pl, require Text::ParseWords 3.25, because
    earlier versions have a bug that causes an infinite loop on some
    inputs

  * use full stricture in test suite

  * in Build.PL, complete declaration of configure-time requirements

  * in Build.PL, declare appropriate version on Module::Build dependency

version 0.002; 2010-05-19

  * remove all uses of $[, both reads and writes, from library code,
    where it has been obsolete since perl 5.000

  * for option parsing libraries, test behaviour with "--" argument

  * in t/shellwords.t, remove unnecessary timeout that caused false
    test failures

  * in test suite, consistently use strictures and Test::More

  * revise test code style

version 0.001; 2010-04-10

  * revise statement about deprecation of the modules, to be more complete
    and accurate and to reflect the latest nuances to their status

  * in documentation, list the bundled libraries, with very short
    descriptions

  * add tests for several of the libraries based on the core's tests for
    more modern replacements: abbrev.pl from Text::Abbrev, getopt.pl
    and getopts.pl from Getopt::Std, hostname.pl from Sys::Hostname,
    open2.pl from IPC::Open2, open3.pl from IPC::Open3, shellwords.pl
    from Text::ParseWords, timelocal.pl from Time::Local

  * in titular version-number-supplying module, check for required Perl
    version at runtime

version 0.000; 2010-03-30

  * initial released version